﻿@import url("/OutSystemsUIWeb/Theme.BaseTheme.css?96");

/* ================================================

Primary color customization
For additional color customizations, you can change the color code for the colors below

  ================================================ */
:root {
    --color-primary: #59ABE3; /*primary-color*/
    --color-primary-hover: var(--color-primary); /*primary-color*/
    --color-secondary: var(--color-primary); /*primary-color*/
    
    /* 1rem = 16px at default font size
    use rem for text to allow users to 
    change font size in browser*/
    --font-size-h1: 2rem;
    --font-size-h2: 1.75rem;
    --font-size-h3: 1.625rem;
    --font-size-h4: 1.375rem;
    --font-size-h5: 1.25rem;
    --font-size-h6: 1.125rem;
    --font-size-base: 1rem;
    --font-size-s: 0.875rem;
    --font-size-xs: 0.75rem
    
}
.layout-login-simple .layout-login-background {
    background-color:#333;
}
.layout-login .btn-large {
height: 48px;
}
/* Header style overrides */
body {
    background-color: #fff;    
}
header {
color:#eee;
}
.layout .header {
    background-color: #222;
}
.header .Menu_TopMenu:hover, .header .Menu_TopMenu.Menu_TopMenuActive {
    background: #eee;
}
.header .Menu_DropDownButton:not(:first-child) {
    margin-left: 0px;
}
.header .Menu_TopMenu {
    padding-left: 20px;
    padding-right: 20px;
}
.Menu_TopMenu > div a, .Menu_TopMenu > div a:visited {
    color: #eee;
}
.Menu_TopMenu.Menu_TopMenuActive > div a, .Menu_TopMenu.Menu_TopMenuActive > div a:visited {
    color: #111;
}

/* End of header style overrides */


.narrowTable .input {
    padding: 0px 8px;
}

.PremiumTotalsTable {
    border:none;
}
.PremiumTotalsTable > tbody > tr > td {
    width: 119px;
    padding-left:6px !important;
    padding-right:8px !important;
}


/* Make site full width*/
div.ThemeGrid_Container, main.ThemeGrid_Container{
    max-width: unset;
}

/* Editable table compression*/
.EditableTable tbody tr td{
    height: 2rem;
    padding: 2px 8px
}
.EditableTable tbody tr td input{
    height: 1.75rem;
}

/* TableRecords compression*/
tr{
    height: 2rem;
}
.TableRecords .TableRecords_OddLine, .TableRecords .TableRecords_EvenLine{
    padding-top: 2px;
    padding-bottom: 2px;
    height: 2rem;
}

/* Form compression*/
.Form input[type="checkbox"] {
    margin-top: 0;
    margin-bottom: 0;
    cursor: pointer;
}

.Form input[type="checkbox"]::before,
.Form input[type="checkbox"]::after {
    cursor: pointer;
}

.input .select{
    height: 1.75rem;
}

.input,.select{
 -webkit-transition: background-color .3s; /* Safari prior 6.1 */
  -moz-transition: background-color .3s;  
  transition: background-color .3s;  
}

.input:focus,.select:focus{
   background-color:#eee !important;
}

/* Remove arrows from number fields */
/* Chrome, Safari, Edge, Opera */
input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}


/* End removing arrows */

/* Icon size fix */
.input-with-icon
.input-with-icon-content-icon{
    width: 1.75rem;
    height: 1.75rem;
}

/* Table filter and actions header */
input[type="submit"], button {
    height: 1.75rem;
}
.Filters_Wrapper input[type="submit"] {
    margin-left: 10px;
    padding: 0 8px;
}
.Filters_Wrapper{
    flex-grow: 1;
}
.Filters_Wrapper > input,
.Filters_Wrapper > select{
    max-width: 300px;
}

.Filters_Wrapper > *:not(:first-child) {
    margin-left: 10px;
}

.FilterActionWrapper{
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
}

.ActionWrapper{
    display: flex;
}
.ActionWrapper .file-upload{
    min-width: 300px;
}

/* Multiple filter */
.FilterInputContainer{
    display: flex-inline;
    flex-wrap: wrap;
    justify-content: flex-start;
}
.FilterInputContainer input, .FilterInputContainer select{
    max-width: 300px;
    margin-bottom: 10px;
    margin-right: 10px;
}

/* /Multiple filter */


/* /Table filter and actions header */
/* File Upload */
.file-upload {
    height: 1.75rem;
    padding: 0;
}
.file-upload-icon {
    margin-left: 5px;
}

/* Workaround to have multiple important looking buttons */
/* Maily for pages with multiple tabs */
.importantButton{
    color: white;
    background-color: var(--color-primary);
    border-color: var(--color-primary);
}

/* Search dropdowns */
.choices__list.choices__list--dropdown.is-active{
    margin-top: unset;
}
.choices__list--dropdown .choices__item{
    height: 1.75rem;
}
.choices__inner{
    height: 1.75rem;
}
.choices__list--single .choices__item{
    padding-top: unset;
    height: 1.75rem;
    line-height: 1.75rem;
}
.choices__list--dropdown .choices__item{
    height: 1.75rem;
}
.choices .search--wrapper{
    height: 1.75rem;
    border-bottom: : 1px solid black;
}
.choices .search--wrapper input:not(.btn)
:not(.checkbox):not(.radio-button),
.choices .search--wrapper .input
    height: 27px;
    line-height: 27px;
}
.choices[data-type*="select-one"]::after{
    top: 2px;
}
.choices .search--wrapper input:not(.btn):not(.checkbox):not(.radio-button) {
    height: calc(1.75rem - 1px);
    line-height: calc(1.75rem - 1px);
}
.choices .search--wrapper{
    padding-top: 0;
}

/* /Search dropdown */


/* Accordian size */
.accordion-item .accordion-item-header{
    padding: 10px 1.5rem;
}


.Scrollable_Wrapper {

    overflow-x: scroll;

    overflow-y: scroll;

    height: 300px;    

}


.ManagementButton, .Button.ManagementButton {
    margin-top: 10px;
}
/* $4.2.13 - Patterns - Controls - ToogleButton */
.toggle-button {
    background-color: var(--color-neutral-5);
    border-radius: 25px;
    border: var(--border-size-s) solid var(--color-neutral-5);
    display: block;
    height: 17px;
    position: relative;
    -webkit-transition: all 180ms linear;
            transition: all 180ms linear;
    width: 25px;
}

.toggle-button:hover {
    background-color: var(--color-neutral-6);
    border: var(--border-size-s) solid var(--color-neutral-6);    
}

.toggle-button.toggle-button-checked {
    background-color: var(--color-primary);
    border: var(--border-size-s) solid var(--color-primary);
} 

.toggle-button.toggle-button-checked:hover {
    -webkit-filter: brightness(.9);
            filter: brightness(.9);
}

.toggle-button.toggle-button-disabled {
    background-color: var(--color-neutral-2);
    border: var(--border-size-s) solid var(--color-neutral-4);
    pointer-events: none;
}

.toggle-button:after {
    background-color: var(--color-neutral-0);
    border-radius: var(--border-radius-rounded);
    border: var(--border-size-none);
    content: '';
    height: 12px;
    left: 0;
    pointer-events: none;
    position: absolute;
    top: 1.5px;
    -webkit-transform: translateX(1.5px) translateZ(0);
            transform: translateX(1.5px) translateZ(0);
    -webkit-transition: all 180ms linear;
            transition: all 180ms linear;
    width: 12px;    
}

.toggle-button.toggle-button-checked:after {
    -webkit-transform: translateX(10.5px) translateZ(0);
            transform: translateX(10.5px) translateZ(0);
}

.toggle-button.toggle-button-disabled:after {
    background-color: var(--color-neutral-5);    
}

.toggle-button .checkbox {
    height: 50%;
    opacity: 0;
    position: absolute;
    width: 50%;  
}

.textNoWrap {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.LargeModal{
max-width: 80%;
 box-sizing: border-box;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.MediumModal{
max-width: 60%;
 box-sizing: border-box;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.SmallModal{
max-width: 40% !important;
    box-sizing: border-box;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
.DropListListHeight{
height: :20px;

}


.risk_policymaincurrency, .select..choices.risk_policymaincurrency {
    font-weight: bold;
    height: 20px;
    margin-right: 65px;
}

div.calendar, div.calendar table {
    z-index: 999999 !important;
}


